Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.intel.cosbench.bench
Class Result

    java.lang.Object
      com.intel.cosbench.bench.Result

    public class Result

extends java.lang.Object

This class encapsulates the returned result for one operation.

Author:
  ywang19

Constructor Summary
`Result(java.util.Date timestamp, java.lang.String opType, boolean succ)`
`Result(java.util.Date timestamp, java.lang.String opType, java.lang.String sampleType, boolean succ)`

Method Summary
`java.lang.String` | `getOpType()`
`java.lang.String` | `getSampleType()`
`java.util.Date` | `getTimestamp()`
`boolean` | `isSucc()`
`void` | `setOpType(java.lang.String opType)`
`void` | `setSampleType(java.lang.String sampleType)`
`void` | `setSucc(boolean succ)`
`void` | `setTimestamp(java.util.Date timestamp)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Result

    public Result(java.util.Date timestamp,
                  java.lang.String opType,
                  boolean succ)

### Result

    public Result(java.util.Date timestamp,
                  java.lang.String opType,
                  java.lang.String sampleType,
                  boolean succ)

Method Detail

### getTimestamp

    public java.util.Date getTimestamp()

### setTimestamp

    public void setTimestamp(java.util.Date timestamp)

### isSucc

    public boolean isSucc()

### setSucc

    public void setSucc(boolean succ)

### getOpType

    public java.lang.String getOpType()

### setOpType

    public void setOpType(java.lang.String opType)

### getSampleType

    public java.lang.String getSampleType()

### setSampleType

    public void setSampleType(java.lang.String sampleType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD